package com.zhongshu.card.client.service.school;

import com.zhongshu.card.client.model.base.IDsParam;
import com.zhongshu.card.client.model.school.AreaModel;
import com.zhongshu.card.client.model.school.AreaParam;
import com.github.microservice.net.ResultContent;
import com.zhongshu.card.client.model.school.AreaSimpleModel;
import com.zhongshu.card.client.utils.ITree;

import java.util.List;

/**
 * @author TRX
 * @date 2024/6/3
 */
public interface AreaService {

    public ResultContent addArea(AreaParam param);

    public ResultContent<List<ITree>> getAreaTree(String oid);

    // 加载当前区域的所有上级区域（包括自己）
    List<AreaSimpleModel> getParents(String id);

    // 删除
    ResultContent deleteArea(String id);

    // 删除多个
    ResultContent deleteAreas(IDsParam param);

}
